Retrieve Snapshots
You can retrieve report and entity snapshots by providing snapshot id and advertiser id for an advertiser.
URL: GET /api/v1/snapshot
Note:
- The output is generated in a gzip file
- The file type in gzip can be either JSON or CSV based upon the snapshot type requested. You can request the following type of snapshots:
- Entity Snapshot
- Report Snapshot
- Each advertiser has a unique advertiser ID for Onsite & Offsite display
- To download reports and entity snapshots for Onsite and Offsite display ads separately, the appropriate advertiser ID must be provided in the API call
Query Parameters
| Parameter | Parameter Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | ID of advertiser | integer | Y | Unique numeric identifier |
| snapshotId | ID of snapshot | string | Y | A valid snapshot ID |
Sample Request
curl -X GET\
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot?advertiserId=600001&snapshotId=1' \
--header 'Authorization: Bearer <auth_token> \ --header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779' \ --header 'accept: application/json' Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | The response code can have following values:
Click here for more information about Status Codes and Errors | N | string | success, failure |
| details | Details will populate success or error message depending upon value of code. | N | string | |
| snapshotId | ID of the snapshot. This will be returned only when code=success | Y | string | |
| jobStatus | It is an indicator to confirm status of snapshot generation.The possible values of jobStatus are: pending, processing, done, failed, expired | Y | string | |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors array object details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | JSON field associated with the error. Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Note
- TTL (Time to Live) for files generated is one day
- For added security, please pass below parameters in https://advertising.walmart.com/display/file/{fileId}call to download the files:
- advertiserId – As a Query String parameter
- Authorization – In the Request Header
- WM_CONSUMER.ID – In the Request Header
- WM_CONSUMER.intimestamp – In the Request Header
- WM_SEC.AUTH_SIGNATURE – In the Request Header
- WM_SEC.KEY_VERSION: – In the Request Header
Updated 15 days ago
Did this page help you?
